# A webhook endpoint for Tranglo to POST the updated status of payout This is an webhook endpoint hosted by payout service so that Tranglo can call us back with the updated status of payout. The API then updates the status of payout within the payout service and optionally will callback any upstream services like payments service with the new status. Endpoint: POST /v1/webhooks/tranglo/payout_status Version: 1.0.0 ## Request fields (application/json): - `checksum` (string, required) checksum from Tranglo Example: "checksum" - `app_key` (string, required) A unique app key generated by payout service. Example: "app_key" - `Date` (string, required) Time that webhook for payout update status request was triggered from Tranglo using the format dd-mm-yyyy HH:mm:ss Example: "Date" - `from_balance` (string, required) Pool balance before transaction Example: "from_balance" - `to_balance` (string, required) Pool balance after transaction Example: "to_balance" - `trxStatus` (object) TransactionStatus object that holds the 3 digit transaction code, type and status from Tranglo Example: {"Status":"Status","Type":null,"Value":0,"Remark":"Remark"} - `trxStatus.Value` (integer) 3 digit transaction response code. See https://tranglo.com/docs/tranglo-connect/request-response-code-description/transaction-status/ - `trxStatus.Type` (string) Enum: "Pending", "Approved", "Declined", "Suspected", "Error" - `trxStatus.Status` (string) Description of the transaction status Example: "Status" - `trxStatus.Remark` (string) A comment explaining the transaction status Example: "Remark" - `transID` (string, required) Transaction id generated by payout service Example: "transID" - `GTN` (string, required) Transaction id generated by Tranglo Example: "GTN" - `GTNMA` (string) Tranglo manual adjustment transaction id. This is an optional field that will be returned when an adjustment is made Example: "GTNMA" - `txCreateDateTime` (string, required) The datetime when the transaction was recorded by Tranglo Example: "txCreateDateTime" - `txUpdateDateTime` (string, required) The datetime when the transaction was last updated Example: "txUpdateDateTime" - `Description` (string, required) Transaction description or advice from Tranglo Example: "Description" - `PayoutID` (string) Payout ID from cash out supplier Example: "PayoutID" - `PayoutPin` (string) Payout PIN from cash out supplier Example: "PayoutPin" - `PayoutStatus` (string) Enum: "Claimed", "Inprocess", "Outstanding", "Cancelled" - `PayoutStatusUpdateTime` (string) Payout status update date time Example: "PayoutStatusUpdateTime" ## Response 200 fields ## Response 401 fields